## org.opengis.filter.capability
Interface IdCapabilities

    public interface IdCapabilities

Capabilities used to convey supported id operators.

      <xsd:complexType name="Id_CapabilitiesType">
         <xsd:choice maxOccurs="unbounded">
           <xsd:element ref="ogc:EID"/>
           <xsd:element ref="ogc:FID"/>
         </xsd:choice>
      </xsd:complexType>
      <xsd:element name="EID">
         <xsd:complexType/>
      </xsd:element>
      <xsd:element name="FID">
         <xsd:complexType/>
      </xsd:element>

Method Summary
`boolean` `hasEID()` Indicates if the capabilities support EID.
`boolean` `hasFID()` Indicates if the capabilities support FID.

Method Detail

### hasEID

    boolean hasEID()

  Indicates if the capabilities support EID.

### hasFID

    boolean hasFID()

  Indicates if the capabilities support FID.

  Returns:

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.